<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        body {
            font-family: "Open Sans", sans-serif;
            line-height: 1.25;
        }

        table {
            border: 1px solid #ccc;
            border-collapse: collapse;
            margin: 0;
            padding: 0;
            width: 100%;
            table-layout: fixed;
        }

        table caption {
            font-size: 1.5em;
            margin: .5em 0 .75em;
        }

        table tr {
            background-color: #f8f8f8;
            border: 1px solid #ddd;
            padding: .35em;
        }

        table th,
        table td {
            padding: .625em;
            text-align: center;
        }

        table th {
            font-size: .85em;
            letter-spacing: .1em;
            text-transform: uppercase;
        }

        @media screen and (max-width: 600px) {
            table {
                border: 0;
            }

            table caption {
                font-size: 1.3em;
            }

            table thead {
                border: none;
                clip: rect(0 0 0 0);
                height: 1px;
                margin: -1px;
                overflow: hidden;
                padding: 0;
                position: absolute;
                width: 1px;
            }

            table tr {
                border-bottom: 3px solid #ddd;
                display: block;
                margin-bottom: .625em;
            }

            table td {
                border-bottom: 1px solid #ddd;
                display: block;
                font-size: .8em;
                text-align: right;
                word-break: break-all;
            }

            table td::before {
                /*
                * aria-label has no advantage, it won't be read inside a table
                content: attr(aria-label);
                */
                content: attr(data-label);
                float: left;
                font-weight: bold;
                text-transform: uppercase;
            }

            table td:last-child {
                border-bottom: 0;
            }
        }
    </style>
</head>
<body>
<p>Hello {{ name }},</p>

{{ settings.email_settings.email_intro|safe }}

<p><b><u><span style="font-size:14.0pt;color:#3399ff">ORDER INFORMATION</span></u></b></p>
{% for hardware_product in hardware_products %}
    {% if hardware_product.line_items %}
        <p><u>Shipping Destination</u>: <br></p>
        <p style="margin-left:1.0in;">{{ hardware_product.ship_to_address.addressline1|title }}</p>
        <p style="margin-left:1.0in;">{{ hardware_product.ship_to_address.addressline2|title }}</p>
        <p style="margin-left:1.0in;">{{ hardware_product.ship_to_address.addressline3|title }}</p>
        <p style="margin-left:1.0in;">{{ hardware_product.ship_to_address.city|title }}, {{ hardware_product.ship_to_address.state }} {{ hardware_product.ship_to_address.postalcode }}</p>

        <table border="1" cellpadding="0" cellspacing="0">
            <tbody>
            <tr>
                <td>
                    <p align="center"><strong>Part Number</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Purchased Qty.</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Shipped Qty.</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Tracking Number</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Carrier</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Shipping Date </strong></p>
                </td>
                <td>
                    <p align="center"><strong>Status </strong></p>
                </td>
            </tr>
            {% for product in hardware_product.line_items %}
                <tr>
                    <td>
                        <p align="left">{{ product.part_number }}</p>
                    </td>
                    {% if product.shipped_quantity < product.purchased_quantity %}
                        <td style="background: #ff000033;">
                            <p align="center">{{ product.purchased_quantity }}</p>
                        </td>
                        <td style="background: #ff000033;">
                            <p align="center">{{ product.shipped_quantity }}</p>
                        </td>
                    {% else %}
                        <td>
                            <p align="center">{{ product.purchased_quantity }}</p>
                        </td>
                        <td>
                            <p align="center">{{ product.shipped_quantity }}</p>
                        </td>
                    {% endif %}
                    <td>
                        <p align="center">{{ product.tracking_numbers|safe }}</p>
                    </td>
                    <td>
                        <p align="center">{{ product.carriers }}</p>
                    </td>
                    <td>
                        <p>{{ product.ship_date }}</p>
                    </td>
                    <td>
                        <p>{{ product.status }}</p>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

    {% endif %}
    {% if hardware_product.contracts %}
        <br>
        {{ settings.email_settings.smartnet_intro|safe }}
        <table border="1" cellpadding="0" cellspacing="0">
            <tbody>
            <tr>
                <td>
                    <p align="center"><strong>Part Number</strong></p>
                </td>

                <td>
                    <p align="center"><strong>Status </strong></p>
                </td>
            </tr>
            {% for contract in hardware_product.contracts %}
                <tr>
                    <td>
                        <p align="left">{{ contract.part_number }}</p>
                    </td>

                    <td>
                        <p align="center">{{ contract.status }}</p>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

    {% endif %}
{% endfor %}

{% for licence in licences %}
    {% if licence.licences %}
        <table border="1" cellpadding="0" cellspacing="0">
            <tbody>
            <tr>
                <td>
                    <p align="center"><strong>Part Number</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Purchased Qty.</strong></p>
                </td>
                <td>
                    <p align="center"><strong>Shipped Qty.</strong></p>
                </td>
                <td>
                    <p align="center"><strong>PAK Number</strong></p>
                </td>
            </tr>
            {% for each_licence in licence.licences %}
                <tr>
                    <td>
                        <p align="left">{{ each_licence.part_number }}</p>
                    </td>
                    {% if each_licence.shipped_quantity < each_licence.purchased_quantity %}
                        <td>
                            <p align="center"
                               style="background: indianred">{{ each_licence.purchased_quantity }}</p>
                        </td>
                        <td>
                            <p align="center"
                               style="background: indianred">{{ each_licence.shipped_quantity }}</p>
                        </td>
                        <td>
                            {% else %}
                        <td>
                            <p align="center">{{ each_licence.purchased_quantity }}</p>
                        </td>
                        <td>
                            <p align="center">{{ each_licence.shipped_quantity }}</p>
                        </td>
                        <td>
                    {% endif %}

                    <p align="center">{{ each_licence.pak_number }}</p>
                    </td>
                </tr>

            {% endfor %}
            </tbody>
        </table>
        {% if licence.contracts %}
            <br>
            {{ settings.email_settings.smartnet_intro|safe }}
            <table border="1" cellpadding="0" cellspacing="0">
                <tbody>
                <tr>
                    <td>
                        <p align="center"><strong>Part Number</strong></p>
                    </td>
                    <td>
                        <p align="center"><strong>Status </strong></p>
                    </td>
                </tr>
                {% for contract in licence.contracts %}
                    <tr>
                        <td>
                            <p align="left">{{ contract.part_number }}</p>
                        </td>
                        <td>
                            <p align="center">{{ contract.status }}</p>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

        {% endif %}
    {% endif %}
{% endfor %}


{% if subscriptions %}
    <table border="0" cellpadding="0" cellspacing="0">
        <tbody>
        <tr>
            <td>
                <p align="center"><strong>Part Number</strong></p>
            </td>
            <td>
                <p align="center"><strong>Qty.</strong></p>
            </td>
            <td>
                <p align="center"><strong>Status </strong></p>
            </td>
            <td>
                <p align="center"><strong>Contract</strong></p>
            </td>
        </tr>
        <tr>
            <td>
                <p align="center">A-SPK-NU-M3</p>
            </td>
            <td>
                <p align="center">3</p>
            </td>
            <td>&nbsp;</td>
            <td>
                <p align="center">&nbsp;</p>
            </td>
        </tr>
        <tr>
            <td>
                <p>A-SPK-NU-TNU+</p>
            </td>
            <td>
                <p align="center">3</p>
            </td>
            <td>&nbsp;</td>
            <td>
                <p align="center">&nbsp;</p>
            </td>
        </tr>
        </tbody>
    </table>
{% endif %}
<br>
{{ settings.email_settings.ending_paragraph|safe }}
<br>
<div style="display: flex;flex-wrap: wrap; align-items: center;">
    TO: &nbsp;
    {% for email in to_contacts_emails %}
        <div style="padding: 3px; display: flex; flex-direction: row;">
            <div style="margin-left:5px;color:#3399ff">{{email}}</div>
        </div>
    {% endfor %}
</div>
<br>
    <div style="display: flex;flex-wrap: wrap; align-items: center;">
        CC: &nbsp;
        {% for contact in cc_contacts %}
            <div style="padding: 3px; display: flex; flex-direction: row;">
                <!-- <div style="margin-left:3px;">{{contact.first_name}}</div> -->
                <div style="margin-left:5px;color:#3399ff">{{contact.email}},</div>
            </div>
        {% endfor %}
    </div>
</body>
</html>
